GET Retrieve External Action URLs
Use this endpoint to retrieve external action URLs for rescheduling or cancelling by customer. You can read more about external action links here:
https://developers.timekit.io/docs/action-links
These will redirect customers to a UI which will allow them to reschedule or cancel a booking.
The response has two keys:
cancel_by_customer: a link to the Timekit-hosted cancellation page for the booking (not a signed API link).reschedule: a signedexternal_action/reschedulelink. It isnullwhen the booking is not attached to a project.
Endpoint
GET https://api.timekit.io/v2/bookings/:id/external_action_urls
Parameters
| Name | In | Type | Required | Default | Description |
|---|---|---|---|---|---|
id |
path | string | yes | The id of the booking |
Request examples
curlcurl --request GET \
--url https://api.timekit.io/v2/bookings/58190fc6-1ec0-4ebb-b627-7ce6aa9fc703/external_action_urls \
--header 'Content-Type: application/json' \
--user :live_api_key_7nzvc7wsBQQISLeFSVhROys9V1bUJ1z7
Response examples
200
json{
"cancel_by_customer": "https://admin.timekit.io/_external/customerbookings/449227f7-9843-43a1-bdb3-03288747b6de/cancel_by_customer?start=2024-10-10T14%3A00%3A00%2B00%3A00&end=2024-10-10T15%3A00%3A00%2B00%3A00&owner_name=Emmett+Brown&token=ZG9jQHRpbWVraXQuaW86cHVibGljLXRva2Vu&app-slug=back-to-the-future&cancel_message=1",
"reschedule": "https://api.timekit.io/v2/bookings/449227f7-9843-43a1-bdb3-03288747b6de/external_action/reschedule?signature=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJib29raW5nX2lkIjoiNDQ5MjI3ZjctOTg0My00M2ExLWJkYjMtMDMyODg3NDdiNmRlIiwiYWN0aW9uIjoicmVzY2hlZHVsZSJ9.OMxkn-3fI9spRNK4G51LhVbSUiLzGBs_7g9R-r4gyM8"
}
404
json{
"error": {
"message": "Entity does not exist",
"status_code": 404,
"model": "Booking"
}
}